const server = "http://lq.ailishi.org:4032/bms/api/operate/";
// const server = "http://localhost:8081/bms/api/operate/";

const URL = {
    //登录
    login: server + "admin/login.do",
    //注销
    logout: server + "admin/logout.do",
    //验证token
    verify: server + "admin/verify.do",

    //用户
    users: {
        //列表
        listPage: server + "user/listPage.do",
        //管理员权限
        adminAccess: server + "user/adminAccess.do",
        //获取某用户没有权限的设备组
        getNoAccessGroups: server + "user/getNoAccessGroups.do",
        //保存设备组权限
        saveGroupAccess: server + "user/saveGroupAccess.do",
        //备注
        updateRemark: server + "user/remark.do",
    },
    //设备基础信息
    deviceBase: {
        updateRemark: server + "device/base/remark.do",
    },
    //路牌
    lp: {
        //分页列表
        listPage: server + "device/lp/listPage.do",
        //分布图-列表
        listAll: server + "device/lp/listAll.do",
        //设备详情
        detail: server + "device/lp/detail.do",
    },
    //普适型
    ubi: {
        //分页列表
        listPage: server + "device/ubi/listPage.do",
        //设备详情
        detail: server + "device/ubi/detail.do",
    },
    //mqtt日志
    logs: {
        //列表
        listPage: server + "logs/listPage.do",
        //全部指令
        instructions: server + "logs/instruction.do",
    },
    //设备组管理
    group: {
        //列表
        listPage: server + "group/listPage.do",
        //增
        save: server + "group/save.do",
        //查询全部设备组
        listAll: server + "group/listAll.do",
        //更新
        update: server + "group/update.do",
    },

    //webSocket 地址
    webSocket: "wss://www.mang406.top/webSocket/",
};

export default {
    URL
};
